let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export default async function giveCollabAccess(
    email: string,
    isShare: boolean,
    organization: string
) {

    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/v1/shareUser`, {
            method: "POST",
            headers: {
                Authorization: "Bearer <access_token>",
                "Content-Type": "application/json",
                token: localStorage.getItem("token") || "",
                refresh_token: localStorage.getItem("refreshToken") || "",
            },
            body: JSON.stringify({ email, isShare, organization }),
        });
        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }

        if (!response.ok) {
            echo.error("Failed to give collab access");
        }

        const result = await response.json();
        return result;
    } catch {
        echo.error("Failed to give collab access");
    }
}
